package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职业兴趣结论对象 sy_occupation_interst_major
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public class SyOccupationInterstMajor extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 兴趣码 */
    @Excel(name = "兴趣码")
    private String matchCode;

    /** 专业码（二级） */
    @Excel(name = "专业码", readConverterExp = "二=级")
    private String majorCategoryCode;

    /** 专业类 */
    @Excel(name = "专业类")
    private String majorCategory;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMatchCode(String matchCode) 
    {
        this.matchCode = matchCode;
    }

    public String getMatchCode() 
    {
        return matchCode;
    }
    public void setMajorCategoryCode(String majorCategoryCode) 
    {
        this.majorCategoryCode = majorCategoryCode;
    }

    public String getMajorCategoryCode() 
    {
        return majorCategoryCode;
    }
    public void setMajorCategory(String majorCategory) 
    {
        this.majorCategory = majorCategory;
    }

    public String getMajorCategory() 
    {
        return majorCategory;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("matchCode", getMatchCode())
            .append("majorCategoryCode", getMajorCategoryCode())
            .append("majorCategory", getMajorCategory())
            .toString();
    }
}
